¿Le resultó útil esta página?
Sus comentarios sobre este contenido son muy importantes. Háganos saber su opinión.
¿Tiene comentarios adicionales?
Caracteres restantes: 1500
Cómo: Utilizar el archivo de configuración de una aplicación para determinar la versión de .NET Framework que se va a usar

Cómo: Utilizar el archivo de configuración de una aplicación para determinar la versión de .NET Framework que se va a usar

Actualización: noviembre 2007

Mediante un archivo de configuración de la aplicación se pueden especificar las versiones de .NET Framework que admite una aplicación o componente. Deberá especificar la versión y el número de versión de compilación de cada versión de .NET Framework compatible cuando utilice los elementos Elemento <supportedRuntime> o Elemento <requiredRuntime> en el archivo de configuración de la aplicación.

La versión de .NET Framework en la que se ejecuta una aplicación se determina tal y como se muestra a continuación:

  • Si la versión de .NET Framework en la que se generó la aplicación está presente en el equipo, la aplicación se ejecuta en dicha versión.

  • Si la versión de .NET Framework en la que se generó la aplicación no está presente y el archivo de configuración no especifica ninguna versión en el elemento Elemento <supportedRuntime>, la aplicación se ejecuta en la última versión de .NET Framework que esté presente en el equipo.

  • Si la versión de .NET Framework en la que se generó la aplicación no está presente y el archivo de configuración especifica una versión en el elemento Elemento <supportedRuntime>, la aplicación se ejecuta en la última versión especificada en el archivo de configuración que esté presente en el equipo.

9w519wzk.alert_note(es-es,VS.90).gifNota:

El nombre de un archivo de configuración de una aplicación debe incluir el nombre de la aplicación y una extensión .config. Por ejemplo, en el caso de una aplicación denominada MyExecutable.exe, el nombre del archivo de configuración debería ser MyExecutable.exe.config.

Puede configurar una aplicación para que se ejecute en la versión en la que se creó o en una versión posterior. Por ejemplo, una aplicación creada con la versión 1.0 de .NET Framework puede configurarse para que se ejecute en las versiones 1.0, 1.1 y 2.0, o en las tres. Una aplicación creada con la versión 2.0 de .NET Framework sólo puede configurarse para dicha versión.

La entrada del archivo de configuración de la aplicación que se muestra en esta sección hace que una aplicación creada con la versión 1.0 de .NET Framework utilice la versión 1.1 de .NET Framework en los siguientes casos:

  • Si está instalada la versión 1.1 de .NET Framework.

  • Si están instaladas las versiones 1.0 y 1.1 de .NET Framework.

Si sólo está instalada la versión 1.0, se ejecutará la aplicación porque la versión 1.0 no reconoce el elemento <supportedRuntime> y utilizará la versión del encabezado del archivo PE que señala a la versión 1.0.

En la siguiente ilustración, MyApp y Assembly A contienen referencias estáticas a la versión 1.0 de .NET Framework, mientras que Assembly B contiene una referencia estática a la versión 1.1 de .NET Framework. En este ejemplo, MyApp dispone de un archivo de configuración de la aplicación en el que se indica que admite la versión 1.1, por lo tanto, la aplicación y Assembly A se redirigen para que utilicen la versión 1.1 de .NET Framework.

Archivo de configuración de la aplicación que redirige el enlace de ensamblados a la versión 1,1
Ejemplo MyApp, con Assembly A y Assembly B

Para configurar una aplicación creada con la versión 1.0 de .NET Framework para que se ejecute en la versión 1.1

  • Introduzca el siguiente código XML en el archivo de configuración de la aplicación:

    <?xml version ="1.0"?>
    <configuration>
      <startup>
        <supportedRuntime version="v1.1.4322" /> 
      </startup>
    </configuration> 
    

Adiciones de comunidad

AGREGAR
Mostrar:
© 2015 Microsoft